diff -ru libwww-perl-5.805.orig/lib/HTTP/Daemon.pm libwww-perl-5.805/lib/HTTP/Daemon.pm
--- libwww-perl-5.805.orig/lib/HTTP/Daemon.pm	2004-12-11 16:13:22.000000000 +0100
+++ libwww-perl-5.805/lib/HTTP/Daemon.pm	2007-07-03 10:59:39.000000000 +0200
@@ -191,6 +191,18 @@
     my $ct  = $r->header('Content-Type');
     my $len = $r->header('Content-Length');
 
+    # Act on the Expect header, if it's there
+    for my $e ( $r->header('Expect') ) {
+        if( lc($e) eq '100-continue' ) {
+            $self->send_status_line(100);
+        }
+        else {
+            $self->send_error(417);
+            $self->reason("Unsupported Expect header value");
+            return;
+        }
+    }
+
     if ($te && lc($te) eq 'chunked') {
 	# Handle chunked transfer encoding
 	my $body = "";
